# FoundationClasses
TKernel
TColStd

# TColStd_IndexedMapOfInteger Class Reference

`#include <TColStd_IndexedMapOfInteger.hxx>`

Inheritance diagram for TColStd_IndexedMapOfInteger:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_IndexedMapOfInteger (const Standard_Integer NbBuckets=1)
Standard_EXPORT TColStd_IndexedMapOfInteger & | Assign (const TColStd_IndexedMapOfInteger &Other)
TColStd_IndexedMapOfInteger & | operator= (const TColStd_IndexedMapOfInteger &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TColStd_IndexedMapOfInteger ()
Standard_EXPORT Standard_Integer | Add (const Standard_Integer &K)
Standard_EXPORT void | Substitute (const Standard_Integer I, const Standard_Integer &K)
Standard_EXPORT void | RemoveLast ()
Standard_EXPORT Standard_Boolean | Contains (const Standard_Integer &K) const
Standard_EXPORT const Standard_Integer & | FindKey (const Standard_Integer I) const
const Standard_Integer & | operator() (const Standard_Integer I) const
Standard_EXPORT Standard_Integer | FindIndex (const Standard_Integer &K) const

## Private Member Functions

Standard_EXPORT | TColStd_IndexedMapOfInteger (const TColStd_IndexedMapOfInteger &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_IndexedMapOfInteger::TColStd_IndexedMapOfInteger | ( | const Standard_Integer | NbBuckets = `1` | ) |

TColStd_IndexedMapOfInteger::~TColStd_IndexedMapOfInteger | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_IndexedMapOfInteger::TColStd_IndexedMapOfInteger | ( | const TColStd_IndexedMapOfInteger & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Integer TColStd_IndexedMapOfInteger::Add | ( | const Standard_Integer & | K | ) |

Standard_EXPORT TColStd_IndexedMapOfInteger& TColStd_IndexedMapOfInteger::Assign | ( | const TColStd_IndexedMapOfInteger & | Other | ) |

Standard_EXPORT void TColStd_IndexedMapOfInteger::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TColStd_IndexedMapOfInteger::Contains | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Integer TColStd_IndexedMapOfInteger::FindIndex | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT const Standard_Integer& TColStd_IndexedMapOfInteger::FindKey | ( | const Standard_Integer | I | ) | const

void TColStd_IndexedMapOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TColStd_IndexedMapOfInteger::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TColStd_IndexedMapOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

const Standard_Integer& TColStd_IndexedMapOfInteger::operator() | ( | const Standard_Integer | I | ) | const`[inline]`

TColStd_IndexedMapOfInteger& TColStd_IndexedMapOfInteger::operator= | ( | const TColStd_IndexedMapOfInteger & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_IndexedMapOfInteger::RemoveLast | ( |  | ) |

Standard_EXPORT void TColStd_IndexedMapOfInteger::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT void TColStd_IndexedMapOfInteger::Substitute | ( | const Standard_Integer | I,
|  | const Standard_Integer & | K
| ) |

The documentation for this class was generated from the following file:

- TColStd_IndexedMapOfInteger.hxx